﻿//Copyright Warren Clayton Harding 2015
//Released to the public domain
//under the Ms-pl
//Please leave this copyright notice intact
using System;

namespace Servo
{
    //The main VelocityServo class,
    //call the Force function to get a force
    //that force relates directly to the power required of your motor.
    public class VelocityServo
    {
        public AccelerationServo accelerationServo = new AccelerationServo();

        public Double Force(Double inCurrentVelocity, Double inTargetVelocity, Double elapsedTime)
        {
            //v=v0+at  at=v-v0  a=(v-v0)/t
            Double targetAcceleration = (inTargetVelocity - inCurrentVelocity) / elapsedTime;

            Double force = accelerationServo.Force(inCurrentVelocity, targetAcceleration, elapsedTime);
            return force;
        }
    }
}
