﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Diagnostics;
namespace ServoTest
{

    public class InfiniteLoop
    {
        public Boolean stop = false;
        public event Action<Double> Elapsed;
        public Stopwatch stopWatch = new Stopwatch();
        public Double elapsed = 0;
        public void Run()
        {
            Task.Run(() => InnerLoop());
        }

        public void InnerLoop()
        {
            stopWatch.Restart();

            long count = 0;
            Double countMax = 1000;
            while (stop == false)
            { 

                if (elapsed > 0)
                {
                    Elapsed(elapsed);
                }
                if (count > countMax)
                {
                    elapsed = Convert.ToSingle(stopWatch.ElapsedTicks) / Convert.ToSingle(Stopwatch.Frequency) / countMax;
                    stopWatch.Restart();
                    count = 0;
                }
                count++;
            }
        }
    }
}
